VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "IAuthorizationDetails"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' 6 PAN Integer The Primary Account Number
' (Card Number).
' Please note: This value will not be
' returned in full due to PCI requirements.
' The PAN will be masked apart from the
' last four digits, e.g. '************1234'
Public Property Get PAN() As String
End Property

' Expiry Date MMYY Integer Card Expiry Month and Year.
Public Property Get ExpiryDate() As String
End Property

' 8 Issue Number Integer Card Issue Number. Blank when scheme
' does not provide an issue number.
Public Property Get IssueNumber() As String
End Property

' 9 Start MMYY Integer Card start month and year
Public Property Get StartDate() As String
End Property

' 11 Merchant Number Integer The Merchant Number for the given' card scheme and account.
Public Property Get MerchantNumber() As String
End Property

' 12 Terminal ID Integer Terminal ID used for this transaction.
Public Property Get TerminalID() As String
End Property

' 13 Scheme Name String Card scheme name e.g. visa etc
Public Property Get SchemeName() As String
End Property

' 15 EFT Sequence Number Integer Four digits in the range 0001 - 9999.
' (Prefixed with "OL" when offline)
Public Property Get EFTSequenceNumber() As String
End Property

' 16 Authorisation Code String Blank if the transaction is declined or is
' below the floor limit.
Public Property Get AuthorisationCode() As String
End Property

' 18 Customer Verification Method /
' Authorisation Message / Error Message
' / Status Message
' String As returned by communications process.
' Normally direct from acquirer. Also
' contains status message if enabled
Public Property Get CustomerVerification() As String
End Property

' 19 Capture Method String Valid values are:
' Contactless
' Swipe
' ICC
' Keyed
Public Property Get CaptureMethod() As String
End Property

' 28 Token ID String This is the token allocated to the payment
' details as part of the Account on File
' registration process or the token used for
' the Account on File payment.
Public Property Get TokenID() As String
End Property

' Hash of card number (PAN) generated by the WinTI3 infrastructure,
' only available for txns that have been sent for online for authorisation
Public Property Get CardNumberHash() As String
End Property

' 10 Transaction Date / Time Integer CCYYMMDDHHMMSS
Public Property Get TransactionDate() As String
End Property

Public Property Get TransactionAmount() As Double
End Property

Public Function ParseReceivedMessage(ByVal Message As String) As Boolean
End Function

Public Function IsAuthorized() As Boolean
End Function

